Bug 1649821 - FTBFS: dnf-2.7.5-17.el7 requires hawkey_version 0.11.1
Summary: FTBFS: dnf-2.7.5-17.el7 requires hawkey_version 0.11.1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dnf
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 15:17 UTC by Pat Riehecky
Modified: 2018-11-21 13:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-21 13:28:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pat Riehecky 2018-11-14 15:17:44 UTC
Description of problem:
dnf-2.7.5-17.el7 requires hawkey_version 0.11.1, however, the most recent version packaged in the release is hawkey-0.6.3-4.el7

Version-Release number of selected component (if applicable):
dnf-2.7.5-17.el7

How reproducible:
100%

Steps to Reproduce:
1.Try to rebuild dnf-2.7.5-17.el7
2.python2-hawkey >= 0.11.1 not provided
3.

Actual results:
Unable to rebuild

Expected results:
Able to rebuild

Additional info:
https://git.centos.org/summary/rpms!hawkey.git
https://git.centos.org/summary/rpms!dnf.git

Comment 2 Pat Riehecky 2018-11-15 15:06:05 UTC
This looks to be provided by libdnf now.

CLOSE WORKSFORME

Comment 3 Marek Blaha 2018-11-21 13:28:17 UTC
Yes, it is provided by libdnf.


Note You need to log in before you can comment on or make changes to this bug.